Introduction

XFX 2 was developed to give current Sound Forge users the ability to preview the effects in real-time and to give users of other DirectX-compatible applications the ability to use the high-quality effects that Sound Forge users have grown to love.

XFX 2 contains six discrete plug-ins: Noise Gate, Graphic Dynamics, Multi-Band Dynamics, Paragraphic EQ, Graphic EQ, and Parametric EQ.


Using XFX 2

XFX 2 can be used in any Microsoft DirectX-compatible host application. The quality and functionality of the plug-ins will be the same in each host application; however, the method of previewing the effects will be different. Consult your host application’s documentation to determine the previewing methods available to you.

Not all host applications’ DirectX implementations are the same. This may cause some problems involving real-time previewing.

Which effect do you want to use?

Noise Gate

Graphic Dynamics

Multi-Band Dynamics

Graphic EQ

Parametric EQ

Paragraphic EQ


Noise Gate

The Noise Gate effect is the most basic of all dynamics-processing effects. For years, engineers have been using noise gates to eliminate subtle noise, tape hiss, and low-level electrical hum from recordings.

A simple noise gate removes all audio below a set threshold level. When recording a sound, there is often an audible noise floor during silent breaks. When your sound source is much louder than this background noise, it is simple to set an accurate threshold level that will remove noise from the silent breaks.

You can also use the Graphic Dynamics plug-in to perform advanced noise gating.

  1. Open the Noise Gate dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

    a. Drag the Threshold level fader to set the level below which signals will be removed. Noise levels are typically near –40 dB.

    b. Drag the Attack time slider to set the time it takes the gain of the gate to change from zero to one once the level rises above the threshold.

    A low Attack time preserves percussive attacks. Higher values cause sounds to slowly swell up in volume.

    c. Drag the Release time slider to set the time it takes the gain of the gate to change from one to zero once the level falls below the threshold.

    A long Release time preserves natural-sounding decays; otherwise long decays will be cut off.


Graphic Dynamics

  1. Open the Graphic Dynamics dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Adjust the envelope graph.

b. Drag the Attack slider to set the time required for the dynamics processor to start acting on the signal once the level rises above the threshold.

A low Attack time preserves percussive attacks. Higher values cause sounds to slowly swell up in volume.

c. Drag the Release slider to set the time it takes the gain of the dynamics processor to change from one to zero once the level falls below the threshold.

A long Release time preserves natural-sounding decays; otherwise long decays will be cut off.

d. Drag the Threshold fader to set the level at which the dynamics processor begins acting on the signal.

When you change the threshold, all points slide diagonally along the No Gain line.

e. Drag the Ratio slider to set the compression ratio of input to output levels.

Excessive compression starting at a low threshold will usually produce distortion.

f. Drag the Output gain fader if you want to apply a gain after processing.

If the Auto gain compensate check box is selected, the output gain is still applied afterwards. This can result in clipped signals.

  3. Select the Auto gain compensate check box to apply gain during processing to keep the maximum input and output levels constant. In general, this gain will be equal to the decibel level of the highest envelope point in the graph.

    You can still use the Output gain fader to fine-tune the overall gain.

  4. Select the Sync stereo gain check box if you want the left- and right-channel gain to be the same. This prevents a loss of stereo imaging that can occur if both channels were to be processed independently.

The Input vs. Output level graph shows the envelope that will be applied to the input signal, depending on its level over time. The diagonal line, referred to as the No Gain line, indicates where the input and output levels are equal (a ratio of 1 to 1). When an envelope point is below the line, signal attenuation occurs. This allows you to create a compression curve of your choice by adding points to the graph:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete a envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

You can generate compression, limiting, noise gating, and expansion effects by moving the envelope points manually or by using the Threshold and Ratio controls. To view examples of common graph shapes, look at some of the included presets.

Graphic Dynamics

The Graphic Dynamics effect allows you to precisely tailor the gain at all input levels of a signal. Use Graphic Dynamics to create dramatic to subtle compression and expansion.

What do you want to do?

Apply graphic dynamics

Adjust the envelope graph


Multi-Band Dynamics

  1. Open the Multi-Band Dynamics dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Drag the fader to set the level at which the dynamics processor begins acting on the signal. The selected frequency band will be compressed when it exceeds this level. You can select the Capture threshold> check box to detect and update the threshold automatically.

You will not be able to control the threshold when Capture threshold is selected.

  1. b. Drag the Amount slider to set the compression ratio applied to a band when it is above the threshold level. A high compression ratio means more gain reduction will be applied.

  2. c. Drag the Gain fader to set the overall gain applied to a band after it has been compressed. Set the fader above 0 dB to compensate for the level lost due to compression.

  3. d. Drag the Attack time slider to set the time, in milliseconds, required for the dynamics processor to start acting on the signal when the input level rises above the threshold.

  4. e. Drag the Release time slider to set the time, in milliseconds, required for the dynamics processor to stop acting on the signal when the input level drops below the threshold.

  5. f. Choose a setting from the Type drop-down list to specify the frequency band type:

Low-shelf | Frequencies below the cut-off frequency will be compressed when using a low-shelf filter. When you select Low-shelf, drag the Below slider to set the cut-off frequency.
Band-notch | Frequencies surrounding the center frequency will be compressed when using a Band-notch filter. When you select Band-notch, drag the Center slider to set the center frequency, and drag the Width slider to set the frequency range of the band.
High-shelf | Frequencies above the cut-off frequency will be compressed when using a High-shelf filter. When you select High-shelf, drag the Above slider to set the cut-off frequency.

When the Capture threshold check box is selected, the threshold for the current band is automatically detected and updated during preview. You will not be able to control the threshold when Capture threshold is enabled.

When the Band x bypass check box is selected, the current band will be grayed and will not affect the source material.

When the Solo check box is selected, the signal will be processed by the current band only, bypassing the processing parameters for other bands.

When a band is not bypassed, the meters represent the previewed audio passed through the filter. The red Gain Reduction meter shows the difference in gain between the input and output for each band.

Click the Input/Output button to toggle between monitoring the input or output signal of each band.

You can right-click on any of the meters to change the selected dB range.

Multi-Band Dynamics

The Multi-Band Dynamics plug-in is essentially a compressor that only affects certain frequency bands. The possibilities for this type of compressor are endless, but the most common uses are for reducing sibilants (S sounds) and plosives (popping P sounds) or to tighten the bass in a mix without using EQ.

When using this effect in applications that support multiple property pages, users gain the ability to edit a total of four distinct bands. Host applications will provide a means to switch between pages enabling the user to custom define and bypass any of the bands.

What do you want to do?

Apply multi-band dynamics

Capture the threshold automatically

Bypass or solo a frequency band

Monitor input or output


Graphic EQ

  1. Open the Graphic EQ dialog.

  2. Choose a preset from the Name drop-down list.

  3. Click the Envelope tab.

  4. Adjust the envelope graph:

  • Drag the small boxes (envelope points) up or down. When the envelope is below the centerline, signals of the corresponding frequency level are attenuated. When the envelope is above the centerline, the signal is boosted.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

Click the Reset button to reset the graph.

  5. Choose a setting from the Accuracy drop-down list to determine a balance between filter precision and processing speed.

Low precision is not recommended for performing very sharp filtering, when filtering very low frequencies, or when using a high sample rate.

  6. Drag the Output gain fader if you want to apply a gain after processing.

Faders for high frequencies will be unavailable when working with files that use low sample rates.

  1. Open the Graphic EQ dialog.

  2. Choose a preset from the Name drop-down list.

  3. Click the 10-Band or 20-Band tab.

  4. Drag the frequency-band faders to boost or attenuate the selected frequency band.

    To quickly disable a band, set the gain to 0.0 dB by double-clicking the fader handle.

    The frequency displayed at the bottom of the fader is the center frequency of the frequency band affected by the fader.

  5. Choose a setting from the Accuracy drop-down list to determine a balance between filter precision and processing speed.

Low precision is not recommended for performing very sharp filtering, when filtering very low frequencies, or when using a high sample rate.

  6. Drag the Output gain fader if you want to apply a gain after processing.

Graphic EQ

Graphic EQ is a powerful plug-in that allows you to tailor sound with pre-defined bands or a user-definable envelope graph. Graphic EQ is divided into three pages: Envelope, 10 band, and 20 band.

You can create a rough representation of a filter with the 10- or 20-band page and then switch to the envelope page to fine-tune the frequency spectrum.

What do you want to do?

Use the envelope graph

Use the 10- or 20-Band EQ


Parametric EQ

The Parametric Equalizer is a set of four frequency-selective filters that allow for very precise changes in the frequency content of a sound signal:

  • A high-frequency shelf filter attenuates frequencies above a specified cutoff frequency. This filter is useful for removing high-frequency noise such as wind, tape hiss, or computer noise.

  • A low-frequency shelf filter attenuates frequencies below a specified cutoff frequency. This filter is useful for removing low-frequency rumbles such as wind, electrical hum, or traffic noise.

  • A band-pass filter attenuates or boosts frequencies outside of a specified range of frequencies. This filter is useful for removing hiss and low-frequency rumble simultaneously or boosting a specific frequency range.

  • A band-reject (or notch filter) attenuates frequencies within a specified range of frequencies. This filter is useful for removing to remove narrow-bandwidth noise such as amplifier/microphone feedback or 60 Hz electrical hum.

  1. Open the Parametric EQ dialog.

  2. Choose a preset from the Name drop-down list, or choose a filter from the Filter style drop-down list.

  3. Adjust the filter frequency:

  • If you're using the High-frequency shelf filter, drag the Cutoff frequency slider to set the frequency above which the filter will be applied. The Transition width slider sets the slope of the filter.

  • If you're using the Low-frequency shelf filter, drag the Cutoff frequency slider to set the frequency below which the filter will be applied. The Transition width slider sets the slope of the filter.

  • If you're using the Band-pass or Band-notch/boost filter, drag the Center frequency slider to set the frequency at which the filter will be applied. The Band width slider controls the range of frequencies affected by the filter.

  4. Drag the Amount fader to set the gain applied to the specified frequency band. This gain may be positive or negative.

  5. Drag the Output gain fader if you want to apply a gain after processing.

  6. Choose a setting from the Accuracy drop-down list to determine a balance between filter precision and processing speed.

Low precision is not recommended for performing very sharp filtering, when filtering very low frequencies, or when using a high sample rate.


Paragraphic EQ

The Paragraphic EQ is a set of six very flexible parametric filters. Four independent band filters allow you to boost or attenuate specific frequency ranges. In addition, two shelving filters let you control the amount of low and high frequencies in your recordings. A Gain vs. Frequency graph shows the overall effect of the combined filters, making it easier to visualize the final sound.

Removing very low and inaudible frequencies after recording eliminates any DC offset and gives your sounds more headroom for audible frequencies.

  1. Open the Paragraphic EQ dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Dry Out fader to set the level of the unprocessed signal mixed into the output.

b. Drag the Wet Out fader to set the level of the processed signal mixed into the output.

c. Drag the Gain fader to set the amount of boost or cut for the band. To quickly disable a band, set the Gain to 0.0 dB by double-clicking the fader handle.

d. Drag the Width slider to specify the number of octaves (centered on the selected frequency) that will be affected by the filtering. Use a high value to affect a greater range of frequencies and a low value for a more selective (notch) filter.

e. Drag the Center frequency slider to specify the center of the selected frequency band.

f. Select the Enable low-shelf check box to attenuate or boost frequencies below the low-shelf cutoff frequency. The low-shelf cutoff frequency and gain are determined by the sliders to the right of the Enable low-shelf check box.

g. Select the Enable high-shelf check box to attenuate or boost frequencies above the high-shelf cutoff frequency. The high-shelf cutoff frequency and gain are determined by the sliders to the right of the Enable high-shelf check box.


Troubleshooting

This section contains helpful remedies to common performance issues involving XFX 2.

What do you want to learn more about?

Stuttering during real-time preview

Glitches when processing selections in Sound Forge


Stuttering During Real-Time Previewing

If you are experiencing problems when previewing XFX plug-ins in real-time, try one of the following:

Increase the DirectX buffering size

In Sound Forge, right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu. Decrease the Buffers to process per second and/or increase the Total Playback Buffers to reduce gapping. This will also make the controls less responsive, however. Expect to wait a second or so before changes are heard during the preview.

Use a faster processor with fast floating-point arithmetic

When using the plug-ins in Sound Forge, there is a CPU usage meter at the bottom of every plug-in window.

This will give you a rough indication of how your computer is coping with the real-time preview. If the usage ever goes above 100%, stuttering problems will most likely occur.


Glitches When Processing Selections in Sound Forge

If you experience small glitches in the transitions between selected material and nonselected material, try enabling the Crossfade edges feature (Sound Forge 4.0d or later). This feature is especially useful when pitch-shifting or time compressing a small portion of audio in the middle of a file.

  1. Right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu.

  2. Select the Crossfade edges check box and specify a crossfade time.

  3. Click the OK button.

The Crossfade edges setting is plug-in dependent. This means that each plug-in maintains its own setting.


Welcome

Go to the XFX 2 page on the Sony Pictures Digital Web site

©2004. Sony Pictures Digital Inc.

All Rights Reserved

Rev. March 18, 2004